<?php /**
 * Plugin Name: STREETIST Blocks
 * Plugin URI: 
 * Description: 「STREETIST」用ブロックエディタカスタマイズプラグイン
 * Version: 2.0.5
 * Author: SHIROMA
 * Text Domain: streetist-blocks
 * Domain Path: languages
 *
 * @package streetist-blocks
 */

defined( 'ABSPATH' ) || exit;

define( 'STBL_VERSION', '2.0.5' );
define( 'STBL_PLUGIN_PATH', dirname( __FILE__ ) );
define( 'STBL_PLUGIN_DIR_URL', plugin_dir_url( __FILE__ ) );

require( STBL_PLUGIN_PATH . '/settings.php' );
require( STBL_PLUGIN_PATH . '/lib/index.php' );

require_once STBL_PLUGIN_PATH . '/plugin-update-checker/plugin-update-checker.php';

use YahnisElsts\PluginUpdateChecker\v5\PucFactory;

try {
    $myUpdateChecker = PucFactory::buildUpdateChecker(
        'https://wp-avenue.com/plugin_file/streetist-blocks2/plugin.json',
        __FILE__,
        'streetist-blocks'
    );
} catch (Exception $e) {
    
}